Debian Bug report logs - #543568
initramfs-tools: usb storage device not recognized at boot after upgrade to kernel 2.6.30

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Avi Rozen <avi.rozen@gmail.com>

Date: Tue, 25 Aug 2009 20:27:01 UTC

Severity: important

Tags: patch

Merged with 534324

Found in versions initramfs-tools/0.92o, initramfs-tools/0.93.4

Fixed in version initramfs-tools/0.94

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#543568; Package initramfs-tools. (Tue, 25 Aug 2009 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Avi Rozen <avi.rozen@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 25 Aug 2009 20:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Avi Rozen <avi.rozen@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initramfs-tools: usb storage device not recognized at boot after upgrade to kernel 2.6.30
Date: Tue, 25 Aug 2009 23:19:27 +0300
[Message part 1 (text/plain, inline)]
Package: initramfs-tools
Version: 0.93.4
Severity: important
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


USB storage device is not recognized at boot after kernel upgrade.

It seems that the usb-storage module has been split into several mini 
modules, which are not copied to the initramfs image. 

In my case usb-storage.ko is copied but ums-cypress.ko is not copied.

I've attached a patch against hook-functions that fixes this, by using 
copy_modules_dir to copy all the modules in kernel/drivers/usb/storage,
instead of just usb-storage.

I've set the severity to important because my USB storage device also 
happens to be the boot device... 

Cheers,
Avi

- -- Package-specific info:
- -- /proc/cmdline
BOOT_IMAGE=/vmlinuz-2.6.30-1-686 root=/dev/mapper/afula-root ro rootdelay=10

- -- /proc/filesystems
	ext3
	fuseblk

- -- lsmod
Module                  Size  Used by
binfmt_misc             7120  1 
ppdev                   6348  0 
parport_pc             22420  0 
lp                      8012  0 
parport                31144  3 ppdev,parport_pc,lp
rfkill_input            5272  0 
sco                     8832  2 
bridge                 39968  0 
stp                     2112  1 bridge
bnep                   10860  2 
rfcomm                 30368  0 
l2cap                  18120  6 bnep,rfcomm
bluetooth              47060  6 sco,bnep,rfcomm,l2cap
nfsd                  204900  9 
lockd                  57972  1 nfsd
nfs_acl                 2640  1 nfsd
auth_rpcgss            31416  1 nfsd
sunrpc                163772  8 nfsd,lockd,nfs_acl,auth_rpcgss
exportfs                3792  1 nfsd
powernow_k8            12260  0 
cpufreq_conservative     6256  0 
cpufreq_userspace       2768  0 
cpufreq_stats           3520  0 
cpufreq_powersave       1292  0 
fuse                   47752  1 
loop                   13324  0 
snd_hda_codec_conexant    17164  1 
snd_hda_intel          22192  0 
snd_hda_codec          63580  2 snd_hda_codec_conexant,snd_hda_intel
snd_hwdep               6120  1 snd_hda_codec
snd_pcm_oss            32232  0 
snd_mixer_oss          12368  1 snd_pcm_oss
snd_pcm                62420  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
arc4                    1560  2 
snd_seq_midi            5688  0 
snd_rawmidi            18596  1 snd_seq_midi
ecb                     2368  2 
snd_seq_midi_event      6212  1 snd_seq_midi
snd_seq                42436  2 snd_seq_midi,snd_seq_midi_event
snd_timer              17436  2 snd_pcm,snd_seq
snd_seq_device          6136  3 snd_seq_midi,snd_rawmidi,snd_seq
b43                   108932  0 
snd                    49060  11 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore               6184  1 snd
rfkill                  9668  3 rfkill_input,b43
rng_core                3672  1 b43
i2c_nforce2             6448  0 
snd_page_alloc          8180  2 snd_hda_intel,snd_pcm
mac80211              142848  1 b43
i2c_core               20844  1 i2c_nforce2
joydev                  8576  0 
cfg80211               55556  2 b43,mac80211
k8temp                  3984  0 
pcspkr                  2104  0 
serio_raw               4560  0 
led_class               3852  1 b43
evdev                   8028  12 
psmouse                37528  0 
input_polldev           3588  1 b43
wmi                     6184  0 
battery                 6012  0 
processor              34504  1 powernow_k8
ac                      2960  0 
button                  5060  0 
ext3                  107172  2 
jbd                    41036  1 ext3
mbcache                 6924  1 ext3
sha256_generic         11216  0 
aes_i586                8092  2 
aes_generic            27436  1 aes_i586
cbc                     3012  1 
dm_crypt               11092  1 
dm_snapshot            21604  0 
ums_cypress             2888  0 
sd_mod                 28748  4 
crc_t10dif              1632  1 sd_mod
usb_storage            48472  3 ums_cypress
ide_cd_mod             24484  0 
cdrom                  30316  1 ide_cd_mod
ide_pci_generic         3632  0 
ohci_hcd               19880  0 
ata_generic             4340  0 
ehci_hcd               29680  0 
sata_nv                19688  1 
libata                150904  2 ata_generic,sata_nv
amd74xx                 5428  0 
ssb                    37692  1 b43
pcmcia                 24280  2 b43,ssb
pcmcia_core            31212  3 b43,ssb,pcmcia
usbcore               126004  5 ums_cypress,usb_storage,ohci_hcd,ehci_hcd
ide_core               88100  3 ide_cd_mod,ide_pci_generic,amd74xx
scsi_mod              131800  4 ums_cypress,sd_mod,usb_storage,libata
forcedeth              46584  0 
video                  18044  0 
output                  2604  1 video
thermal                12580  0 
fan                     4044  0 
thermal_sys            13140  4 processor,video,thermal,fan
dm_mirror              12580  0 
dm_region_hash         10668  1 dm_mirror
dm_log                  8464  2 dm_mirror,dm_region_hash
dm_mod                 49992  12 dm_crypt,dm_snapshot,dm_mirror,dm_log

- -- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = no
postinst_hook = update-grub
postrm_hook   = update-grub

- -- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
BOOT=local
DEVICE=eth0
NFSROOT=auto

- -- /etc/crypttab
afula_crypt UUID=0897f48a-462d-4ec5-9ef1-a60574fa1182 none luks



- -- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio                          2.10-1     GNU cpio -- a program to manage ar
ii  findutils                     4.4.2-1    utilities for finding files--find,
ii  klibc-utils                   1.5.15-1   small utilities built with klibc f
ii  module-init-tools             3.9-2      tools for managing Linux kernel mo
ii  udev                          0.141-1    /dev/ and hotplug management daemo

Versions of packages initramfs-tools recommends:
ii  busybox                       1:1.10.2-2 Tiny utilities for small and embed

initramfs-tools suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqUR0UACgkQwK8SobAxNVlJLQCgj9a8DwwbTB+hy4+kgLJ2uIot
wJ4AnRSN8LAlw8h6LAMfPhjTqdAPzWrb
=A5KZ
-----END PGP SIGNATURE-----
[usb-storage-fix.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#543568; Package initramfs-tools. (Mon, 22 Feb 2010 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 22 Feb 2010 21:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 543568@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Avi Rozen <avi.rozen@gmail.com>, 543568@bugs.debian.org
Subject: Re: Bug#543568: initramfs-tools: usb storage device not recognized at boot after upgrade to kernel 2.6.30
Date: Mon, 22 Feb 2010 22:30:17 +0100
On Tue, 25 Aug 2009, Avi Rozen wrote:

> Package: initramfs-tools
> Version: 0.93.4
> Severity: important
> Tags: patch
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> 
> USB storage device is not recognized at boot after kernel upgrade.
> 
> It seems that the usb-storage module has been split into several mini 
> modules, which are not copied to the initramfs image. 
> 
> In my case usb-storage.ko is copied but ums-cypress.ko is not copied.
> 
> I've attached a patch against hook-functions that fixes this, by using 
> copy_modules_dir to copy all the modules in kernel/drivers/usb/storage,
> instead of just usb-storage.
> 
> I've set the severity to important because my USB storage device also 
> happens to be the boot device... 
> 
> Cheers,
> Avi
> 

thanks for the patch, finaly applied to current trunk,
will be in next revision for squeeze.




Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 22 Feb 2010 21:33:12 GMT) Full text and rfc822 format available.

Forcibly Merged 534324 543568. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 25 Mar 2010 00:42:07 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Apr 2010 22:18:47 GMT) Full text and rfc822 format available.

Notification sent to Avi Rozen <avi.rozen@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Apr 2010 22:18:47 GMT) Full text and rfc822 format available.

Message #19 received at 543568-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 543568-close@bugs.debian.org
Subject: Bug#543568: fixed in initramfs-tools 0.94
Date: Mon, 05 Apr 2010 22:12:53 +0000
Source: initramfs-tools
Source-Version: 0.94

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.94.dsc
  to main/i/initramfs-tools/initramfs-tools_0.94.dsc
initramfs-tools_0.94.tar.gz
  to main/i/initramfs-tools/initramfs-tools_0.94.tar.gz
initramfs-tools_0.94_all.deb
  to main/i/initramfs-tools/initramfs-tools_0.94_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Apr 2010 05:25:48 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.94
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 415474 433708 465760 487409 506533 519800 523735 524534 525606 533903 534201 535008 536195 541864 543568 545728 547365 548711 554873 559535 559619 560266 561289 562561 565386 565416 567065 567189 568527 569033 570678 572858 573761 574553 575154 575157 576429
Changes: 
 initramfs-tools (0.94) unstable; urgency=low
 .
   * The "Litte Bang" release
 .
   [ maximilian attems ]
   * Nuke kernelextras hooks.
   * Create a klibc hook script.
   * Redefinde MODULES=most to not carry any fb driver per default.
   * Nuke framebuffer boot script.
   * Revert "hook-functions: Add hid_* modules."
   * Move busybox addition to a hook script.
   * mkinitramfs fix comment.
   * hook-functions: Fix mounted /sys check for openvz container.
   * initramfs-tools.8: fix boot example script to execute.
     scripts/functions. (closes: #545728)
   * Fix out-of-date-standards-version.
   * /etc/kernel hook script support for make deb-pkg generated linux-images
     and kernel-package. (closes: #523735, #561289)
   * update-initramfs: allow -t takeover on delete.
   * /etc/kernel/postrm.d/i-t: use now takeover on delete.
     (closes: #524534, #547365, #559619)
   * Nuke useless unused dir.
   * kernel hook scripts: Fix typo, add comments.
   * hook-funcitions: Only warn about missing firmware if /proc/modules
     exists. (closes: #560266, #575154)
   * mkinitramfs: Be opportunistic when calling modprobe thus showing
     errors. (closes: #554873)
   * copy_exec: Check if ldd is around.
   * scripts/local: Use blkid as backup fstype detection. (closes: #568527)
   * mkinitramfs: only copy modprobe conf files. (closes: #506533)
   * blacklist earlier at init-top stage.
   * scripts/local: fix blkid invocation.
   * init: export and unset BOOTIF.
   * init: rexport resume to reallow it's hardcoded usage. (closes: #572858)
   * update-initramfs: -d delete .bak file. (closes: #559535)
   * control: bump standards version without changes.
   * control: Clean up Uploaders field.
   * switch from cdbs to debhelper 7.
   * update-initramfs: Stop second guessing lilo usage. (closes: #574553)
   * mkinitramfs: allow to build initramfs for unmodular linux images.
     (closes: #415474, #433708)
   * initramfs.conf.5: document UMASK variable for sensitive initramfs.
     (closes: #536195)
   * update-initramfs: only run elilo if configured. (closes: #534201)
   * update-initramfs: fix previous elilo commit.
   * MODULES=DEP Use driver/module syfs attribute. (closes: #567189)
   * panic: quote variable.
   * MODULES=DEP: Check rootfs on mkinitramfs. (closes: #519800)
   * Use ata_generic driver on all_generic_ide bootarg
   * scripts/functions: add get_fstype() from scripts/local. (closes: #487409)
   * mkinitramfs.8: update date.
   * Keep acpi modules in initramfs so that udev can load them early.
   * mkinitramfs: no longer copy depmod.
   * init: Silence "Loading essential drivers..." on quiet boot.
   * hook-functions: Add btrfs to base modules.
   * init: export BOOT for casper and friends.
   * hooks/klibc: Keep gzip in initramfs.
   * modernize docs to todays standards.
   * examples: shipp old framebuffer boot script.
   * initramfs.conf.5, update-initramfs.conf.5: Add FILES section.
     (closes: #565386)
   * mkinitramfs: be silent if no modules.map was generated in first place.
   * debian/control: Add a breaks cryptsetup.
 .
   [ Tormod Volden ]
   * blacklist boot hook write to /etc/modprobe.d/initramfs.conf.
     (closes: #541864)
 .
   [ Michael Prokop ]
   * Fix path to nfsroot.txt in documentation.
   * hook-functions: Avoid firmware copy error. (closes: #570678)
 .
   [ Joey Hess ]
   * scripts/local: avoid mount -t unknown. (closes: #567065)
 .
   [ Avi Rozen ]
   * mkinitramfs: add all usb storage devices. (closes: #543568)
 .
   [ Ferenc Wagner ]
   * initramfs-tools: make the panic argument available in the rescue
     shell. (closes: #569033)
 .
   [ Maximilian Gass ]
   * mkinitramfs: KEYMAP option fails to work due to missing keymap.
     (closes: #565416)
 .
   [ Vagrant Cascadian ]
   * configure_networking: support BOOTIF variable set by pxelinux.
     (closes: #535008)
 .
   [ Ben Hutchings ]
   * copy_modules_dir: Take a list of exclusions after the base directory.
   * auto_add_modules: Copy all modules from net, excluding some
     subdirectories.
 .
   [ Scott James Remnant ]
   * init: Mount devtmpfs on /dev.
   * mkinitramfs: Call depmod before packing the initramfs.
     (closes: #465760, #562561)
   * init: load the netconsole module with netconsole bootarg
   * init: mount /dev/pts as well as /dev.
 .
   [ Ben Collins ]
   * update-initramfs: Default to not keep .bak backups.
 .
   [ Piotr Lewandowski ]
   * update-initramfs breaks if /etc/mtab is a symlink to /proc/mounts.
     (closes: #525606)
 .
   [ Martin Michlmayr ]
   * MODULES=dep fix boot with MMC. (closes: #548711)
 .
   [ Nikolaus Schulz ]
   * hook-functions: let dep_add_modules() recurse into lvm slave devices.
     (closes: 573761)
 .
   [ Anna Jonna Armannsdottir ]
   * configure_networking: Try repeatedly ipconfig with increasing
     timeout.
 .
   [ Colin Watson ]
   * mkinitramfs: Filter out looping or broken symlinks from the
     initramfs. (closes: #575157)
   * mkinitramfs: set initramfs root to 755.
 .
   [ Bert Schulze ]
   * initramfs-tools: support different compression tools in mkinitramfs.
     (closes: #533903)
   * mkinitramfs: -c compression support / commandline override.
     (closes: #576429)
Checksums-Sha1: 
 5afd5d57aa19a5c0209eaecc9b1b1f9465753318 922 initramfs-tools_0.94.dsc
 509fb16736997ecba36f641127ceab5bea18f68d 71586 initramfs-tools_0.94.tar.gz
 02aca8c6e29acf625100c1551faf1dbc5b4a17d0 78974 initramfs-tools_0.94_all.deb
Checksums-Sha256: 
 aee9a553dd3844532c464d9f649cbff02928568d037415dc8126bb6591e2b817 922 initramfs-tools_0.94.dsc
 25580b8f761e154cfa4efe6d4657b69b8a6403f7097dcfe2d50c2e64cc6f4e9b 71586 initramfs-tools_0.94.tar.gz
 a8abc65bdbf74bedb0bb77a8079d34b0b0ef8b41adde923e4748a673af770f3c 78974 initramfs-tools_0.94_all.deb
Files: 
 c1dbcaa6efb98082c45257309ba20312 922 utils optional initramfs-tools_0.94.dsc
 0295a063638ef0e44a38ef9fa3d7f93f 71586 utils optional initramfs-tools_0.94.tar.gz
 c66b55ac5c3d7e19cb57057489defa1d 78974 utils optional initramfs-tools_0.94_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAku6RlIACgkQeW7Lc5tEHqh9MgCaAwfEx8qpBHws+lusrsXjVDTP
OTMAmwU4vowqNyQHgtoTdNywtdHts2q5
=MCMB
-----END PGP SIGNATURE-----





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Apr 2010 22:18:48 GMT) Full text and rfc822 format available.

Notification sent to hugo vanwoerkom <huugske@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Apr 2010 22:18:48 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Jun 2010 07:34:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:14:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.